<?php
/**
 * The ext admin view file of user module of chanzhiEPS.
 *
 * @copyright   Copyright 2013-2013 青岛息壤网络信息有限公司 (QingDao XiRang Network Infomation Co,LTD www.xirangit.com)
 * @license     LGPL
 * @author      Xiying Guan <guanxiying@xirangit.com>
 * @package     User
 * @version     $Id$
 * @link        http://www.chanzhi.org
 */
?>
<?php include '../../../common/view/header.admin.html.php';?>
<?php js::set('status', $currentStatus);?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-group'></i> <?php echo $lang->user->list;?></strong>
    <div class='panel-actions'>
      <form method='get' class='form-inline form-search'>
        <?php echo html::hidden('m','user') . html::hidden('f','admin');?>
        <div class="input-group">
          <?php
          echo html::input('user', $this->get->user, "class='form-control search-query' placeholder='{$lang->user->inputUserName}'"); 
          ?>
          <span class="input-group-btn">
            <?php echo html::submitButton($lang->user->searchUser, "btn"); ?>
          </span>
        </div>
      </form>
      <?php echo html::a(inlink('create'), "<i class='icon icon-plus'></i> " .  $lang->user->create, "data-toggle='modal' class='btn btn-primary'");?>
    </div>
  </div>
  <table class='table table-hover table-fixed table-striped'>
    <thead>
      <tr class='a-center'>
        <th class='w-80px'><?php echo $lang->user->realname;?></th>
        <th class='w-80px'><?php echo $lang->user->account;?></th>
        <th class='w-60px'><?php echo $lang->user->gender;?></th>
        <th class='w-80px'><?php echo $lang->user->qq;?></th>
        <th class='w-100px'><?php echo $lang->user->phone;?></th>
        <th class='w-180px'><?php echo $lang->user->email;?></th>
        <th><?php echo $lang->user->company;?></th>
        <th class='w-100px'><?php echo $lang->user->last;?></th>
        <?php if($currentStatus == 'search'):?>
        <th class='w-80px'><?php echo $lang->user->status;?></th>
        <?php endif;?>
        <th class='w-200px'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody>
    <?php foreach($users as $user):?>
    <tr class='a-center'>
      <td><?php echo $user->realname;?></td>
      <td><?php echo $user->account;?></td>
      <td><?php $gender = $user->gender; echo $lang->user->genderList->$gender;?></td>
      <td><?php echo $user->qq;?></td>
      <td><?php echo $user->phone;?></td>
      <td><?php echo $user->email;?></td>
      <td class='a-left'><?php echo $user->company;?></td>
      <td><?php echo substr($user->last, 0, 4) == date('Y') ? substr($user->last, 5, -3) : substr($user->last, 0, 10);?></td>
      <?php if($currentStatus == 'search'):?>
      <td><?php echo $lang->user->statusList->{$user->status};?></td>
      <?php endif;?>
      <td class='operate'>
        <?php commonModel::printLink('user', 'edit', "account=$user->account", $lang->edit); ?>
        <span>
        <?php 
        foreach($lang->user->options as $option)
        {
            list($title, $status) = explode('|', $option);
            if($status == $user->status) continue;
            commonModel::printLink('user', 'review', "account={$user->account}&status={$status}", $title, "class='reviewer'");
        }
        ?>
        </span>
        <?php commonModel::printLink('portal', 'admin', "mode=account&query={$user->account}", $lang->user->showSites);?>
        <?php if(commonModel::isAvailable('score')):?>
        <span class="dropdown">
          <a href='###' class="dropdown-toggle" data-toggle="dropdown"><?php echo $lang->score->common;?><span class="caret"></span></a>
          <ul class="dropdown-menu pull-right text-center" role="menu">
            <li><?php commonModel::printLink('user', 'addScore', "account=$user->account", $lang->user->addScore, "data-toggle=modal"); ?></li>
            <li><?php commonModel::printLink('user', 'reduceScore', "account=$user->account", $lang->user->reduceScore, "data-toggle=modal"); ?></li>
          </ul>
        </span>
        <?php endif;?>
      </td>
    </tr>
    <?php endforeach;?>
    </tbody>
    <tfoot><tr><td colspan='9' class='a-right'><?php $pager->show();?></td></tr></tfoot>
  </table>
</div>
<?php include '../../../common/view/footer.admin.html.php';?>
